Bug 25215 - Xorg freezes dramatically when using DRI in KDE 4.3.3
Summary: Xorg freezes dramatically when using DRI in KDE 4.3.3
Status: ASSIGNED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nVidia (proprietary) (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium major
Assignee: Aaron Plattner
QA Contact: Aaron Plattner
URL:
Whiteboard:
Keywords: have-backtrace
Depends on:
Blocks:
 
Reported: 2009-11-21 09:42 UTC by Tomasz 'Trog' Welman
Modified: 2009-11-22 16:28 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
xorg configuration file (5.03 KB, text/plain)
2009-11-21 09:42 UTC, Tomasz 'Trog' Welman
no flags Details
DRI setting in KDE (screenshot) (79.33 KB, image/png)
2009-11-21 09:48 UTC, Tomasz 'Trog' Welman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomasz 'Trog' Welman 2009-11-21 09:42:22 UTC
Created attachment 31371 [details]
xorg configuration file

Probably not only in KDE, however I have no means to check.
The screen freezes for a moment, when truned on DRI in KDE 4.3.3 -> systemsettings -> desktop -> advanced. If the DRI is turned of, there are no such dramatic hangs, but sometimes (with the same error in Xorg.log) there are shorter. Anyway, it's very hard to work with these freezes.

The Xorg.log indicates:
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/X (xorg_backtrace+0x3c) [0x80b35ac]
1: /usr/bin/X (mieqEnqueue+0x186) [0x80a11e6]
2: /usr/bin/X (xf86PostMotionEventP+0xd3) [0x80b6b83]
3: /usr/lib/xorg/modules/input/evdev_drv.so (0x8d9f4000+0x3ac8) [0x8d9f7ac8]
4: /usr/bin/X (0x8048000+0x71ae0) [0x80b9ae0]
5: /usr/bin/X (0x8048000+0x1061a4) [0x814e1a4]
6: (vdso) (__kernel_sigreturn+0x0) [0xffffe400]
7: /usr/lib/xorg/modules/drivers/nvidia_drv.so (_nv001019X+0x90) [0xb5c6c000]

The above entry is being put every time the freeze occurs.

I saw the similar problem but I wasn't able to found any related to nvidia.


I'm using gentoo:
Linux deathstar 2.6.31-gentoo-r5 #1 SMP PREEMPT Sun Nov 8 11:57:57 CET 2009 i686 Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz GenuineIntel GNU/Linux

gcc:
Using built-in specs.
Target: i686-pc-linux-gnu
Configured with: /var/tmp/portage/sys-devel/gcc-4.3.4/work/gcc-4.3.4/configure --prefix=/usr --bindir=/usr/i686-pc-linux-gnu/gcc-bin/4.3.4 --includedir=/usr/lib/gcc/i686-pc-linux-gnu/4.3.4/include --datadir=/usr/share/gcc-data/i686-pc-linux-gnu/4.3.4 --mandir=/usr/share/gcc-data/i686-pc-linux-gnu/4.3.4/man --infodir=/usr/share/gcc-data/i686-pc-linux-gnu/4.3.4/info --with-gxx-include-dir=/usr/lib/gcc/i686-pc-linux-gnu/4.3.4/include/g++-v4 --host=i686-pc-linux-gnu --build=i686-pc-linux-gnu --disable-altivec --disable-fixed-point --enable-nls --without-included-gettext --with-system-zlib --disable-checking --disable-werror --enable-secureplt --disable-multilib --enable-libmudflap --disable-libssp --enable-libgomp --disable-libgcj --with-arch=i686 --enable-languages=c,c++,treelang,fortran --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --with-bugurl=http://bugs.gentoo.org/ --with-pkgversion='Gentoo 4.3.4 p1.0, pie-10.1.5'
Thread model: posix
gcc version 4.3.4 (Gentoo 4.3.4 p1.0, pie-10.1.5)

relevant ports installed:
x11-base/xorg-drivers-1.7
x11-base/xorg-server-1.7.1
media-libs/mesa-7.5.2
media-video/nvidia-settings-190.42
x11-drivers/nvidia-drivers-190.42-r3
x11-libs/libX11-1.3.2
x11-drivers/xf86-input-evdev-2.3.0
x11-drivers/xf86-input-keyboard-1.4.0
x11-drivers/xf86-input-mouse-1.5.0
x11-drivers/xf86-video-v4l-0.2.0
x11-drivers/xf86-video-vesa-2.2.1
x11-libs/libXxf86misc-1.0.1
x11-libs/libXxf86vm-1.1.0
x11-proto/xf86bigfontproto-1.1.2
x11-proto/xf86dgaproto-2.1
x11-proto/xf86driproto-2.1.0
x11-proto/xf86miscproto-0.9.2
x11-proto/xf86rushproto-1.1.2
x11-proto/xf86vidmodeproto-2.3

xorg.conf:
(in the attachment)

X -version:
X.Org X Server 1.7.1
Release Date: 2009-10-23
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.27-gentoo-r7 i686
Current Operating System: Linux deathstar 2.6.31-gentoo-r5 #1 SMP PREEMPT Sun Nov 8 11:57:57 CET 2009 i686
Kernel command line: root=/dev/sdb2 usbhid.mousepoll=1 vga=0x318
Build Date: 07 November 2009  09:17:52PM

Current version of pixman: 0.16.2
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Comment 1 Tomasz 'Trog' Welman 2009-11-21 09:48:54 UTC
Created attachment 31372 [details]
DRI setting in KDE (screenshot)
Comment 2 Aaron Plattner 2009-11-21 12:16:16 UTC
Try disabling UseEvents in xorg.conf.  It's known to be broken on GeForce 8 and up right now.
Comment 3 Tomasz 'Trog' Welman 2009-11-21 13:06:06 UTC
I'll try and post the results here as soon as I can, but the reason for adding this was:
http://magazine.redhat.com/2007/11/20/tips-and-tricks-why-does-xorgs-cpu-usage-shoot-up-when-using-nvidias-driver/

By "right now" you mean this is a known bug and it's going to be fixed?
Comment 4 Aaron Plattner 2009-11-21 13:50:15 UTC
It's a known bug and I do hope to fix it someday, but I can't promise any particular time frame since it's considered a low priority.
Comment 5 Tomasz 'Trog' Welman 2009-11-21 14:28:17 UTC
I've switched off UseEvents, and you cannot imagine how fast it's now working. :-)

Just one question about that UseEvents bug, speaking of earlier, is it posted somewhere, so I can track its status?
Comment 6 Aaron Plattner 2009-11-22 16:28:55 UTC
We don't really have a public bug tracker, so you can consider this it.  I can't promise that I'll remember to update this if UseEvents is ever fixed.  Just watch the release notes; I'll try to make sure there's a release highlight if it ever changes.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.